import request from '@/utils/request'

// 查询订单支付列表
export function listOrder(query) {
  return request({
    url: '/station/noorder/list',
    method: 'get',
    params: query
  })
}

// 查询订单支付详细
export function getOrder(orderId) {
  return request({
    url: '/station/noorder/' + orderId,
    method: 'get'
  })
}

// 新增订单支付
export function addOrder(data) {
  return request({
    url: '/station/noorder',
    method: 'post',
    data: data
  })
}

// 修改订单支付
export function updateOrder(data) {
  return request({
    url: '/station/noorder',
    method: 'put',
    data: data
  })
}

// 删除订单支付
export function delOrder(orderId) {
  return request({
    url: '/station/noorder/' + orderId,
    method: 'delete'
  })
}

// 导出订单支付
export function exportOrder(query) {
  return request({
    url: '/station/noorder/export',
    method: 'get',
    params: query
  })
}
